## unity 0.1.43-0ubuntu1common0omsk4

=== debian/changelog ===
unity (0.1.43-0ubuntu1common0omsk4) lucid; urgency=low

  * debian/patches/translations.patch:
    - add to po/POTFILES.in src/panel/panel-home.vala
    - updated pot and all pos
    - add translations for tooltip for de es fr it nl zh_CN and zh_TW
      LP: #596222

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 03 Sep 2010 09:37:57 -0400

unity (0.1.43-0ubuntu1common0omsk3) lucid; urgency=low

  * debian/patches/add_toolip_to_home_button.patch:
    - Add tooltip to home button to let the user know what it does.
      LP: #596222

 -- Michael Terry <michael.terry@canonical.com>  Wed, 25 Aug 2010 14:41:33 -0400

unity (0.1.43-0ubuntu1common0omsk2) lucid; urgency=low

  * debian/patches/oem-search-raise-browser-window.patch: raise a potentially
    existing browser window upon search (LP: #606485)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 30 Jul 2010 14:47:17 +0200

unity (0.1.43-0ubuntu1common0omsk1) lucid; urgency=low

  [ Jason Smith ]
  * src/quicklauncher/quicklauncher-manager.vala:
    - Don't crash if found_item is null.  LP: #598101

 -- Michael Terry <michael.terry@canonical.com>  Wed, 30 Jun 2010 12:29:19 -0400

unity (0.1.43-0ubuntu1) lucid; urgency=low

  * Fix panel input during expose

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 17:22:28 +0100

unity (0.1.42-0ubuntu2) lucid; urgency=low

  * Build for correct target

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 09:37:57 +0100

unity (0.1.42-0ubuntu1) maverick; urgency=low

  * Fading tray fixes
  * Remove white flash when loading panel home button
  * Remove second Background object creation

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 28 Jun 2010 09:29:26 +0100

unity (0.1.40-0ubuntu4) lucid; urgency=low

  * Build for the right distro!

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 14:51:50 +0100

unity (0.1.40-0ubuntu3) maverick; urgency=low

  * 0i

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 14:51:48 +0100

unity (0.1.40-0ubuntu2) maverick; urgency=low

  * Forgot to autogen

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 10:21:57 +0100

unity (0.1.40-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 09 Jun 2010 10:16:47 +0100

unity (0.1.38-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    - depends on new wncksync
  * revert debian/patches/fix_search: upstreamed

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 13:21:46 +0200

unity (0.1.34-0ubuntu5) lucid; urgency=low

  * debian/patches/fix_search:
    - fix schema for & character

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 00:46:35 +0200

unity (0.1.34-0ubuntu4) lucid; urgency=low

  * debian/control:
    - depends on libdbusmodel0 (<= 0.2)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 May 2010 00:02:18 +0200

unity (0.1.34-0ubuntu3) lucid; urgency=low

  * debian/control:
    - fix mutter dep
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 23:33:40 +0200

unity (0.1.34-0ubuntu2) lucid; urgency=low

  * More fixes

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 23:23:58 +0200

unity (0.1.32-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - add more sane recommends and dependencies for mutter and defaults

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 12:31:08 +0200

unity (0.1.30-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control, debian/*.install:
    no more places in unity

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 May 2010 10:55:57 +0200

unity (0.1.28-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump mutter dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Apr 2010 16:54:08 +0200

unity (0.1.26-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump dep for libclutk-dev and liblauncher-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 16 Apr 2010 17:30:12 +0200

unity (0.1.24-0ubuntu1) lucid; urgency=low

  * debian/control:
    - add debug package to both unity and libunity-places0
    - bump clutk, liblauncher and wncksync build-dep
  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 19 Mar 2010 15:40:10 +0100

unity (0.1.22-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump libclutk-dev and liblauncher-dev build-dep
  * debian/rules:
    - include gnome.mk to call dh_gconf
  * debian/unity.install:
    - install locales and gconf schema

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Mar 2010 20:36:49 +0100

unity (0.1.20-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - bump clutk, liblauncher and wncksync build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Mar 2010 20:47:17 +0100

unity (0.1.18-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - remove maximus as a recommend
    - bump libclutk-dev and liblauncher-dev build-dep


 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Feb 2010 13:44:42 +0100

unity (0.1.16-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control:
    - unity now depends on unity-asset-pool
    - bump libclutk-dev and liblauncher-dev build-dep
    - add intltool build-dep
    - add indicator-datetime and chromium-browser as recommends
  * debian/rules:
    - remove -Wall from CFLAGS, FTFBS due to unused reference

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Feb 2010 20:15:25 +0100

unity (0.1.14-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    - bump libclutk-dev and liblauncher-dev build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Feb 2010 20:05:44 +0100

unity (0.1.12-0ubuntu1) lucid; urgency=low

  * debian/control:
    - remove netbook-launcher transitional package as the old one will
      be shipped in lucid

