=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 7),
               pkg-config,
               valac (>= 0.7.8),
               libvala-dev (>= 0.7.8),
               intltool (>= 0.35.0),
               libgee-dev (>= 0.5.0),
               libunique-dev,
               libclutter-1.0-dev,
               libclutter-gtk-0.10-dev (>= 0.10.2-1ubuntu1),
               libclutk-dev (>= 0.3.26),
               liblauncher-dev (>= 0.3.24),
               libwnck-dev (>= 2.28.0),
               libwncksync-dev (>= 0.2.24),
               libglib2.0-dev (>= 2.22.2-0ubuntu1wncksync3),
               libgtk2.0-dev (>= 2.18.0),
               libdbusmodel-dev (>= 0.1.0),
               libindicator-dev (>= 0.3.1),
               libunity-misc-dev (>= 0.1.0),
               libmutter-dev (>= 2.29.0-1ubuntu1dx3+r3435)
Standards-Version: 3.8.4
Homepage: https://launchpad.net/ayatana

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mutter (>= 2.29.0-1ubuntu1dx3+r3435),
         unity-asset-pool,
         libdbusmodel0 (<= 0.2.0)
Recommends: indicator-datetime,
            ubuntu-netbook-unity-default-settings
Description: Launcher
 Unity launcher.

Package: unity-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, unity (= ${binary:Version})
Description: Launcher - debugging symbols
 Unity launcher.
 .
 This package contains debugging symbols.
