## unity 3.8.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-  project (unity)
+project (unity)
 cmake_minimum_required(VERSION 2.8)
 
 
@@ -12,7 +12,7 @@
 set (PROJECT_NAME "unity")
 set (UNITY_MAJOR 3)
 set (UNITY_MINOR 8)
-set (UNITY_MICRO 10)
+set (UNITY_MICRO 16)
 set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
 set (UNITY_API_VERSION "3.0")
